Bug 1324131 - python-tgscheduler: Provide a Python 3 subpackage
Summary: python-tgscheduler: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tgscheduler
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-05 15:07 UTC by Tomas Orsava
Modified: 2016-06-16 06:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-15 17:36:44 UTC
Type: Bug


Attachments (Terms of Use)
Python 3 patch for specfile (3.82 KB, application/mbox)
2016-06-07 09:35 UTC, Dominika Krejčí
no flags Details

Description Tomas Orsava 2016-04-05 15:07:50 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-06-07 09:35:06 UTC
Created attachment 1165559 [details]
Python 3 patch for specfile

Hi,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14404534

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 2 Tomas Orsava 2016-06-08 11:37:58 UTC
The patch looks good, the only sticking point might be that the dependency on `python-dateutil15` had to be updated to `python-dateutil`, a newer version of the software, to support Python 3.

However, neither the upstream nor the Python metadata mention dependency on the outdated version of `dateutil` and the changelog makes it seem like this is (was) only needed because of EPEL. As this patch is only for Fedora rawhide I believe it should be without issue.

Testing in mock confirms that the new dependency is working correctly.

Comment 3 Tomas Orsava 2016-06-08 11:37:59 UTC
The patch looks good, the only sticking point might be that the dependency on `python-dateutil15` had to be updated to `python-dateutil`, a newer version of the software, to support Python 3.

However, neither the upstream nor the Python metadata mention dependency on the outdated version of `dateutil` and the changelog makes it seem like this is (was) only needed because of EPEL. As this patch is only for Fedora rawhide I believe it should be without issue.

Testing in mock confirms that the new dependency is working correctly.

Comment 4 Tomas Orsava 2016-06-08 11:41:04 UTC
As this bug was not assigned to a specific person and no one from the assigned Fedora Infrastructure SIG has taken it, I believe we should just go ahead and push the patch.

Comment 5 Pierre-YvesChibon 2016-06-08 12:08:12 UTC
(In reply to Tomas Orsava from comment #4)
> As this bug was not assigned to a specific person and no one from the
> assigned Fedora Infrastructure SIG has taken it, I believe we should just go
> ahead and push the patch.

Well, you may want to allow more than 24h for people to react :)

Comment 6 Tomas Orsava 2016-06-08 12:18:34 UTC
Hi Pierre!
In almost all cases we wait a week or so, to be safe, but as this was not even assigned to anyone, I felt that was unnecessary.

You are right, however, that it would have been better to wait even here, so I will do that from now on.

Are you interested in taking a look at this?

Comment 7 Kevin Fenzi 2016-06-15 17:36:44 UTC
Sorry for the delay here. ;) 

The patch looks good to me, I have applied it and pushed a rawhide build. 

Thanks!

Comment 8 Tomas Orsava 2016-06-16 06:59:13 UTC
Hi Fenzi,
thank you for taking the time!

Have a great day!


Note You need to log in before you can comment on or make changes to this bug.